/**/

.sidebar-profile-container {
    --sidebar-profile-bg: #f6f6f6;
    --sidebar-profile-padding: var(--space-md);
    --sidebar-profile-radius: var(--radius-lg);
    display: flex;
    flex-direction: column;
    gap: 1rem;/*
    background-color: var(--sidebar-profile-bg);
    padding: var(--sidebar-profile-padding);
    border-radius: var(--sidebar-profile-radius);*/
}

.sidebar-profile-top-wrap {
    --sidebar-profile-avatar: 2.5rem;
    display: grid;
    align-items: center;
    grid-template-columns: var(--sidebar-profile-avatar) 1fr;
    gap: 0.75rem;
}

.sidebar-profile-top {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem;
    justify-content: space-between;
}

.sidebar-profile-image {
    width: var(--sidebar-profile-avatar);
    height: var(--sidebar-profile-avatar);
    border-radius: 50%;
}
.sidebar-profile-image-placeholder {
    --size: var(--sidebar-profile-avatar);
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: 600;
    font-size: 1.25rem;
}
.sidebar-profile-info {
    display: flex;
    flex-direction: column;
}
.sidebar-profile-name {
    font-size: 0.9rem;
    font-weight: 500;
}
.sidebar-profile-meta {
    font-size: 0.8rem;
    color: var(--text-muted-500)
}
/**/
.pa-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.25rem;
}
@media (max-width: 1400px) {
    .pa-container {
        grid-template-columns: 1fr;
    }
}

/**/
.pa-list {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.pa-list-item {
    display: grid;
    grid-template-columns: 6rem 1fr;
    gap: 1rem;

}
.pa-list-item a {
    text-decoration: underline;
}
.pa-list-item-name {
    font-size: 0.8rem;
}
.pa-list-item-value {
    font-size: 0.9rem;
}
/**/

.page-header {
    --profile-bg: var(--surface-1);
    --profile-padding: var(--space-md);
    --profile-radius: var(--radius-lg);
    padding: var(--profile-padding);
    border-radius: var(--profile-radius);
    background-color: var(--profile-bg);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.page-header-left {
    display: flex;
    flex-direction: row;
    gap: 0.25rem
}
.page-header-right {
    display: flex;
    flex-direction: row;
    gap: 0.25rem
}

.page-header-wrapper {
    display: grid;
    grid-template-columns: minmax(auto, 1fr) auto minmax(auto, 1fr);
    align-items: center;
    gap: 1rem;
}

.pt-container-btn:first-child {
    justify-self: start; /* первая кнопка слева */
}

.page-header-middle {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.25rem;
    text-align: center;
    grid-column: 2;
}
.page-header-title sup {
    font-size: 0.7rem;
    font-weight: 400;
}
.page-header-wrapper > div:last-child {
    justify-self: end;
}

.page-header-title {
    font-size: 1rem;
    letter-spacing: -0.1px;
    font-weight: 500;
    display: flex;
    gap: 0.5rem;
}

.page-header-meta {
    font-size: 0.85rem;
    color: var(--text-muted-500)
}

.pt-container-btn {
    --tab-bg: var(--surface-gray-1);
    --tab-bg-hover: var(--surface-gray-2);
    --tab-color: var(--text-primary);
    --tab-radius: var(--radius-md);
    position: relative;
    display: flex;
    align-items: center;
    gap: 0.25rem;
    height: 2.25rem;
    padding: 0 0.7rem;
    background: var(--tab-bg);
    color: var(--tab-color);
    border-radius: var(--tab-radius);
    transition: color var(--transition), background var(--transition);
    white-space: nowrap;
    font-size: 0.875rem;
    letter-spacing: 0.1px;
    font-weight: 500;
    line-height: 1;
}

.pt-container-btn-back svg {
    width: 1.2rem;
    height: 1.2rem;
}
.page-header-right svg {
    width: 1rem;
    height: 1rem;
}

.pt-container-btn:hover {
    background: var(--tab-bg-hover);
    color: var(--tab-color);
}


.ph-container {
    --profile-bg: var(--surface-1);
    --profile-padding: var(--space-md);
    --profile-radius: var(--radius-lg);
    padding: var(--profile-padding);
    border-radius: var(--profile-radius);
    background-color: var(--profile-bg);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
/**/
.ph-cover {
    position: relative;
    aspect-ratio: 640 / 200;
    background-color: var(--media-object-bg);
    overflow: hidden;
    border-radius: var(--radius-lg);
    width: 100%;
}
/**/
.ph-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0;
}
/**/
.profile-locked-notice {
    --profile-locked-bg: #f6f6f6;
    --profile-locked-padding: var(--space-md);
    --profile-locked-radius: var(--radius-lg);
    padding: var(--profile-locked-padding);
    border-radius: var(--profile-locked-radius);
    background-color: var(--profile-locked-bg);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    font-size: 0.9rem;
}
.profile-locked-notice svg {
    width: 1.75rem;
    height: 1.75rem;
}
/**/
.ph-content-container {
    position: relative;
    z-index: calc(1 + 3);
    display: flex;
    gap: 1.25rem;
    justify-content: space-between;
    padding: 0 1rem;
}
.ph-content-wrap {
    display: flex;
    gap: 1.25rem;
}

@media (max-width: 1400px) {
    .ph-content-container {
        flex-direction: column;
    }
}
/**/
.ph-meta {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
}
/**/
.ph-verify {
    width: 1.3rem;
    height: 1.3rem;
    border-radius: 50%;
    background-color: #fff;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 9;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
}
.media-header--badge {
    color: #418dfd
}
/**/
:root {
    --avatar-size: 5rem;
    --avatar-space: -2rem;
}

@media (min-width: 992px) {
    :root {
        --avatar-size: 6rem;
        --avatar-space: -3rem;
    }
}
@media (min-width: 1200px) {
    :root {
        --avatar-size: 7rem;
        --avatar-space: -3.75rem;
    }
}
@media (min-width: 1400px) {
    :root {
        --avatar-size: 6rem;
        --avatar-space: -1.75rem;
    }
}
.ph-avatar-container {
    position: relative;
}
.ph-avatar {
    --size: var(--avatar-size);
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--media-object-bg);
    box-shadow: 0 0 0 5px #fff;
    position: relative;
    z-index: calc(1 + 2);
    flex-shrink: 0;
    margin-top: var(--avatar-space);
}
.ph-avatar-image {
    flex-shrink: 0;
    aspect-ratio: 1 / 1;
    width: var(--avatar-size);
    height: var(--avatar-size);
    max-width: none;
    border-radius: 50%;
}
.ph-image-shading::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0);
    transition: background var(--transition);
    pointer-events: none;
}
.ph-image-shading:hover::after {
    background: rgba(0, 0, 0, 0.15);
}
.ph-avatar-placeholder {
    --size: var(--avatar-size);
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: 600;
    font-size: 1.25rem;
    text-transform: uppercase;
}
/**/
.ph-info-container {
    margin-left: calc(var(--avatar-size) + 2.25rem);
    margin-right: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.ph-bar-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 0.5rem;
    align-items: center;
}
.ph-bar {
    --ph-bar-bg: var(--surface-gray-3);
    color: var(--text-primary);
    background-color: var(--ph-bar-bg);
    border-radius: 4px;
    height: 0.75rem;
    max-width: 15rem;
    position: relative;
    width: 100%;
}
.ph-bar-fill {
    --ph-bar-fill-bg: var(--primary-400);
    background-color: var(--ph-bar-fill-bg);
    border-radius: 4px;
    padding: 0;
    height: inherit;
    position: absolute;
    top: 0;
    left: 0;
}
.ph-bar-value {
    font-size: 0.9rem;
}
/**/
.media-header__achievements {
    margin-top: 16px;
}
.media-header-achievements {
    display: flex;
    align-items: center;
    gap: 8px;
}
.media-header-achievements__preview {
    cursor: pointer;
}
/**/
.ph-info {
    display: grid;
    grid-auto-flow: column;
    justify-content: flex-start;
    grid-gap: 0.75rem;
    align-items: center;
}
.ph-info-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem;
    user-select: none;
    font-size: 0.9rem;
}
.ph-info-item svg {
    max-width: 1rem;
    height: 1rem;
}
.ph-info-item:hover {
    color: #294ff8;
}
.ph-info-value {
    font-weight: 600;
}
/**/
.ph-actions {
    display: flex;
    flex-direction: row;
    gap: 0.25rem;
}
/**/
.ph-name-container {
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: space-between;
}
.ph-name {
    font-size: 1rem;
    font-weight: 500;
    line-height: 30px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/**/
.ph-status {
    font-size: 0.75rem;
    color: var(--text-muted-700);
}
/**/
.ph-name-meta {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--text-muted-700);
    font-size: 0.9rem;
    line-height: 1;
}
.ph-name-meta a {
    color: var(--text-muted-900);
}
.ph-name-meta a:hover {
    text-decoration: underline;
}
/**/
.pp-container {
    --profile-bg: var(--surface-1);
    --profile-padding: var(--space-md);
    --profile-radius: var(--radius-lg);
    padding: var(--profile-padding);
    border-radius: var(--profile-radius);
    background-color: var(--profile-bg);
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 1rem 0 0;
}
.profile-mini {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    padding: 0 0.5rem;
}
.profile-mini-image {
    position: relative;
    border-radius: 50%;
    min-width: 3rem;
    max-width: 3rem;
    height: 3rem;
}
.profile-mini-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.profile-mini-meta {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.25rem;
}
.profile-mini-count-wrap {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
}
.profile-mini-title {
    font-size: 1rem;
    letter-spacing: var(--h1--mobile--letter-spacing);
    font-weight: 600;
}
.profile-mini-info {
    font-size: 0.875rem;
    line-height: 1.4;
    color: var(--text-muted-500);
}
/**/



.profile-mini-btns {
    display: flex;
    flex-direction: row;
    gap: 0.25rem;
}


.profile-sidebar {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    height: 100%;
    width: 270px;
    flex-shrink: 0;
    align-items: center;
    transition: transform var(--transition);
}

@media(max-width: 992px) {

    .profile-page__wrap {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        gap: 1.5rem;
    }

}


.profile-container {
    padding: 1.5rem 1.75rem;
    background-color: var(--bg--white);
    border-radius: var(--radius--1);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
}

.profile-container-wrap {
    display: flex;
    flex-direction: row;
    gap: 2rem
}

.profile-top {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    width: 100%;
}

.profile-bottom {
    display: flex;
    flex-direction: row;
    gap: 0.5rem
}

@media(max-width: 992px) {

    .profile-container-wrap {
        flex-direction: column;
        gap: 2rem
    }

}

/**/

.profile-avatar-wrapper, .profile-avatar-wrapper-sm {
    width: 11rem;
    min-width: 11rem;
    height: 11rem;
    border-radius: 50%;
    background: conic-gradient(#f09433, #e6683c, #dc2743, #cc2366, #bc1888, #f09433);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.3rem;
    box-sizing: border-box;
}

.profile-avatar-wrapper-sm {
    width: 7rem;
    min-width: 7rem;
    max-width: 7rem;
    height: 7rem;
}




.profile-avatar {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    overflow: hidden;
    background-color: #fff; /* белый отступ */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.3rem; /* внутренний отступ вокруг фото */
    box-sizing: border-box;
}

.profile-avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

@media (hover: hover) and (pointer: fine) {
    .profile-avatar:hover img {
        opacity: 0.8;
    }
}

.profile-about {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    flex: 1;
}

.profile-about-top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.profile-about-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.profile-contacts {
    width: 150px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.profile-name {
    font-size: 1.25rem
}

.profile-online {
    font-size: 0.90rem;
    color: var(--text-muted-700);
}

.profile-specialization {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
}

.profile-text-title {
    font-size: 0.9rem;
    font-weight: 500;
}

.profile-address {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.95rem
}

.profile-stats-wrap {
    padding: 0.5rem 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1.75rem;
}

.profile-stats-item {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 0.5rem;
    line-height: 1;
    border-radius: 1rem;
    min-width: 7.5rem;
}

.profile-stats-item-num {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem;
    font-size: 1.25rem;
    font-weight: 600;
}

.profile-stats-item-text {
    font-size: 0.90rem;
    font-weight: 400;
    color: #a7a7a7;
}

@media(max-width: 992px) {

    .profile-stats-wrap {
        justify-content: space-between;
    }

    .profile-stats-item {
        flex-direction: column;
        gap: 0.75rem;
        min-width: unset;
    }

    .profile-stats-item-num {
        flex-direction: column;
        gap: 0.75rem;
        font-size: 1.25rem;
    }

}

.profile-contacts-wrap {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem
}
.profile-contacts-wrap .btn {
    max-width: 11.5rem;
}

@media(max-width: 992px) {
    .profile-contacts-wrap .btn {
        max-width: unset;
    }
}

/**/

.profile-section {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 1.5rem 1.75rem;
    background-color: var(--bg--white);
    border-radius: var(--radius--1);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.02);
}

.profile-section-wrap-column {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.profile-section-wrap-row {
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    align-items: self-start;
}
.profile-section-wrap-row-sidebar {
    width: 400px;
}
.profile-section-wrap-row-content {
    flex: 1
}

.profile-section-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.profile-section-title {
    font-size: 1.15rem;
}
.profile-section-title-wrap {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem
}

.profile-section-info {

}

.profile-section-footer .link-all {
    font-size: 0.95rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem
}

